package com.ruoyi.project.patrol.dev.service;

import java.util.List;
import com.ruoyi.project.patrol.dev.domain.TDevSafetyBelt;

/**
 * 安全带Service接口
 * 
 * @author admin
 * @date 2023-11-08
 */
public interface ITDevSafetyBeltService 
{
    /**
     * 查询安全带
     * 
     * @param id 安全带主键
     * @return 安全带
     */
    public TDevSafetyBelt selectTDevSafetyBeltById(Long id);

    /**
     * 查询安全带列表
     * 
     * @param tDevSafetyBelt 安全带
     * @return 安全带集合
     */
    public List<TDevSafetyBelt> selectTDevSafetyBeltList(TDevSafetyBelt tDevSafetyBelt);

    /**
     * 新增安全带
     * 
     * @param tDevSafetyBelt 安全带
     * @return 结果
     */
    public int insertTDevSafetyBelt(TDevSafetyBelt tDevSafetyBelt);

    /**
     * 修改安全带
     * 
     * @param tDevSafetyBelt 安全带
     * @return 结果
     */
    public int updateTDevSafetyBelt(TDevSafetyBelt tDevSafetyBelt);

    /**
     * 批量删除安全带
     * 
     * @param ids 需要删除的安全带主键集合
     * @return 结果
     */
    public int deleteTDevSafetyBeltByIds(Long[] ids);

    /**
     * 删除安全带信息
     * 
     * @param id 安全带主键
     * @return 结果
     */
    public int deleteTDevSafetyBeltById(Long id);
}
